document.getElementById('loginForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const username = document.getElementById('username').value;
  const password = document.getElementById('password').value;
  const rememberMe = document.getElementById('rememberMe').checked;
  
  // Basic validation
  if (username.trim() === '' || password.trim() === '') {
    alert('Please fill in all fields');
    return;
  }
  
  // Simulate login process
  console.log('Logging in with:', { username, password, rememberMe });
  
  // Here you would typically make an API call to authenticate the user
  // For demonstration purposes, we'll just show a success message
  alert('Login successful!');
  
  // Reset form
  this.reset();
});

// QR Code Login Simulation
const qrPlaceholder = document.querySelector('.qr-code-placeholder');
qrPlaceholder.addEventListener('click', function() {
  alert('QR Code login functionality would be implemented here');
  // In a real implementation, this would generate and display a QR code
  // that could be scanned by a mobile device for authentication
});

// Register link
document.querySelector('.register-link').addEventListener('click', function(e) {
  e.preventDefault();
  alert('Registration functionality would be implemented here');
  // This would typically redirect to a registration page
});